TradeLimit (3.14.0 310 API)
Date: 2018-05-30

com.marketfactory.zerogc.api

## Class TradeLimit

- java.lang.Object
- - com.marketfactory.zerogc.api.TradeLimit

- All Implemented Interfaces:
    IMessage, java.io.Serializable, java.lang.Comparable<TradeLimit>

      public final class TradeLimit
      extends java.lang.Object
      implements IMessage, java.lang.Comparable<TradeLimit>, java.io.Serializable

  Constrained users, trade limit amounts, reporting info, and feedID (-1 represents 'all').
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `MFString` | `adminName`
    `CcyType` | `ccyType`
    `MFString` | `contacts`
    `MFString` | `dslAmount`
    `short` | `dslWarnPct`
    `int` | `feedID` A unique identifier for the feed.
    `MFString` | `groupName`
    `MFString` | `limitID`
    `int` | `marketID` A market ID, which identifies a unique financial instrument.
    `MFString` | `nopAmount`
    `short` | `nopWarnPct`
    `MFString` | `pendingAmount`
    `MFString` | `positionAmount`
    `MFString` | `singleAmount`
    `MFString` | `throttleCap`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `TradeLimit()`
    `` | `TradeLimit(MFString limitID, MFString groupName, int feedID, int marketID, CcyType ccyType, MFString nopAmount, MFString dslAmount, MFString positionAmount, MFString pendingAmount, MFString singleAmount, MFString throttleCap, MFString adminName, MFString contacts, short nopWarnPct, short dslWarnPct)`
    `protected` | `TradeLimit(ZeroGCProtoByteBuffer buffer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(TradeLimit rhs)`
    `void` | `deepCopy(TradeLimit src)`
    `void` | `deserializeZeroGC(ZeroGCProtoByteBuffer buffer)`
    `protected void` | `dump(TextWriter wr)`
    `boolean` | `equals(java.lang.Object rhs)`
    `int` | `getMsgType()`
    `int` | `hashCode()`
    `void` | `serialize(ZeroGCProtoByteBuffer buffer)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### limitID

          public MFString limitID

    - #### groupName

          public MFString groupName

    - #### feedID

          public int feedID

      A unique identifier for the feed.

    - #### marketID

          public int marketID

      A market ID, which identifies a unique financial instrument.

    - #### ccyType

          public CcyType ccyType

    - #### nopAmount

          public MFString nopAmount

    - #### dslAmount

          public MFString dslAmount

    - #### positionAmount

          public MFString positionAmount

    - #### pendingAmount

          public MFString pendingAmount

    - #### singleAmount

          public MFString singleAmount

    - #### throttleCap

          public MFString throttleCap

    - #### adminName

          public MFString adminName

    - #### contacts

          public MFString contacts

    - #### nopWarnPct

          public short nopWarnPct

    - #### dslWarnPct

          public short dslWarnPct

  - ### Constructor Detail

    - #### TradeLimit

          public TradeLimit()

    - #### TradeLimit

          protected TradeLimit(ZeroGCProtoByteBuffer buffer)

    - #### TradeLimit

          public TradeLimit(MFString limitID,
                            MFString groupName,
                            int feedID,
                            int marketID,
                            CcyType ccyType,
                            MFString nopAmount,
                            MFString dslAmount,
                            MFString positionAmount,
                            MFString pendingAmount,
                            MFString singleAmount,
                            MFString throttleCap,
                            MFString adminName,
                            MFString contacts,
                            short nopWarnPct,
                            short dslWarnPct)

  - ### Method Detail

    - #### getMsgType

          public int getMsgType()

      Specified by:
        `getMsgType` in interface `IMessage`

    - #### deepCopy

          public void deepCopy(TradeLimit src)

    - #### equals

          public boolean equals(java.lang.Object rhs)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(TradeLimit rhs)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<TradeLimit>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### deserializeZeroGC

          public void deserializeZeroGC(ZeroGCProtoByteBuffer buffer)

      Specified by:
        `deserializeZeroGC` in interface `IMessage`

    - #### serialize

          public void serialize(ZeroGCProtoByteBuffer buffer)

      Specified by:
        `serialize` in interface `IMessage`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IMessage`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          protected void dump(TextWriter wr)